# angular.directive.ng:autobind

Work in Progress This page is currently being revised. It might be incomplete or contain inaccuracies.

## Description

`ng:autobind` with no parameters tells angular to compile and manage the whole page.

`ng:autobind="[root element ID]"` tells angular to compile and manage part of the docucment, starting at "root element ID".

For details on bootstrapping angular, see Initializing Angular in the Angular Developer Guide.

## Usage

    <script ng:autobind>
       ...
    </script>